#!/usr/bin/env python3

from ._version import __version__

__all__ = ['__version__']


SUPPORTED_SEASONS = [
    'winterwheat',
    'springwheat',
    'maize1',
    'maize2',
    'annual',
    'custom'
]

SEASONAL_MAPPING = {
    'winterwheat': 'WW',
    'springwheat': 'M1',
    'maize1': 'M1',
    'maize2': 'M2',
    'annual': 'ANNUAL',
    'custom': 'custom'
}


# Default buffer (days) prior to
# season start
SEASON_BUFFER = {
    'winterwheat': 60,
    'springwheat': 15,
    'maize1': 15,
    'maize2': 15,
    'annual': 0,
    'custom': 0
}


# Base temperatures used for
# crop-specific GDD accumulation
TBASE = {
    'winterwheat': 0,
    'springwheat': 10,
    'maize1': 10,
    'maize2': 10
}
