from loguru import logger

REFID_WEIGHTS = {
    '2017_AR_LISTA':                    2,  # POLY
    '2017_AT_LPIS':                     2,  # POLY
    '2017_BE_LPIS-Flanders':            2,  # POLY
    '2017_BF_JECAM-CIRAD':              2,  # POLY
    '2017_CM_GARDIAN':                  1,  # POINT
    '2017_FR_LPIS':                     2,  # POLY
    '2017_IN_GARDIAN':                  1,  # POINT
    '2017_NG_GARDIAN':                  1,  # POINT
    '2017_SS_ARABLE-LAND':              2,  # POLY
    '2017_SS_OTHER-LAND-USE':           2,  # POLY
    '2017_UG_RadiantEarth-01':          1,  # POLY
    '2018_AR_BAGE-01':                  2,  # POLY
    '2018_AT_LPIS':                     2,  # POLY
    '2018_BE_LPIS-Flanders':            2,  # POLY
    '2018_BE_LPIS-Flanders-veggies':    2,  # POLY
    '2018_BF_JECAM-CIRAD':              2,  # POLY
    '2018_FR_LPIS':                     2,  # POLY
    '2018_IN_GARDIAN':                  1,  # POINT
    '2018_MG_JECAM-CIRAD':              2,  # POLY
    '2018_SN_JECAM-CIRAD':              2,  # POLY
    '2018_TZ_AFSIS':                    1,  # POINT
    '2018_TZ_RadiantEarth-01':          1,  # POLY
    '2018_UA_NHI':                      1,  # POINT
    '2019_AR_BAGE-01':                  2,  # POLY
    '2019_AT_LPIS':                     2,  # POLY
    '2019_BE_LPIS-Flanders':            2,  # POLY
    '2019_ES_SIGPAC-Andalucia':         2,  # POLY
    '2019_ES_SIGPAC-Catalunya':         2,  # POLY
    '2019_FR_LPIS':                     2,  # POLY
    '2019_KE_RadiantEarth-01':          1,  # POLY
    '2019_LV_LPIS':                     2,  # POLY
    '2019_MG_JECAM-CIRAD':              2,  # POLY
    '2019_SN_JECAM-CIRAD':              2,  # POLY
    '2019_TZ_AFSIS':                    1,  # POINT
    '2019_UA_ARABLE-LAND':              2,  # POLY
    '2019_UA_NHI':                      1,  # POINT
    '2019_UA_OTHER-LAND-USE':           2,  # POLY
    '2019_US_USDA-CDL':                 1,  # MAP
    '2020_AR_BAGE-01':                  2,  # POLY
    '2019_EWOCO_aez23179-1':            1,  # POINT
    '2019_EWOCO_aez26202-1':            1,  # POINT
    '2019_EWOCO_aez27177-1':            1,  # POINT
    '2019_EWOCO_aez29224-1':            1,  # POINT
    '2019_EWOCO_aez39223-1':            1,  # POINT
    '2019_EWOCO_aez38201-1':            1,  # POINT
    '2019_EWOCO_aez38201-2':            1,  # POINT
    '2019_EWOCO_aez40164-1':            1,  # POINT
    '2019_EWOCO_aez57226-1':            1,  # POINT
    '2019_EWOCO_aez60168-1':            1,  # POINT
    '2020_EWOCO_aez16220-1':            1,  # POINT
    '2020_EWOCO_aez16222-1':            1,  # POINT
    '2020_EWOCO_aez19221-1':            1,  # POINT
    '2020_EWOCO_aez28175-1':            1,  # POINT
    '2020_EWOCO_aez31208-1':            1,  # POINT
    '2020_EWOCO_aez47176-1':            1,  # POINT
    '2020_EWOCO_aez58178-1':            1,  # POINT
}

REFID_WEIGHTS_PIXEL = {
    '2017_AR_LISTA':                    2,  # POLY
    '2017_AT_LPIS':                     2,  # POLY
    '2017_BE_LPIS-Flanders':            2,  # POLY
    '2017_BF_JECAM-CIRAD':              2,  # POLY
    '2017_CM_GARDIAN':                  2,  # POINT
    '2017_FR_LPIS':                     2,  # POLY
    '2017_IN_GARDIAN':                  2,  # POINT
    '2017_NG_GARDIAN':                  2,  # POINT
    '2017_SS_ARABLE-LAND':              2,  # POLY
    '2017_SS_OTHER-LAND-USE':           2,  # POLY
    '2017_UG_RadiantEarth-01':          2,  # POLY
    '2018_AR_BAGE-01':                  2,  # POLY
    '2018_AT_LPIS':                     2,  # POLY
    '2018_BE_LPIS-Flanders':            2,  # POLY
    '2018_BE_LPIS-Flanders-veggies':    2,  # POLY
    '2018_BF_JECAM-CIRAD':              2,  # POLY
    '2018_FR_LPIS':                     2,  # POLY
    '2018_IN_GARDIAN':                  2,  # POINT
    '2018_MG_JECAM-CIRAD':              2,  # POLY
    '2018_SN_JECAM-CIRAD':              2,  # POLY
    '2018_TZ_AFSIS':                    2,  # POINT
    '2018_TZ_RadiantEarth-01':          2,  # POLY
    '2018_UA_NHI':                      2,  # POINT
    '2019_AR_BAGE-01':                  2,  # POLY
    '2019_AT_LPIS':                     2,  # POLY
    '2019_BE_LPIS-Flanders':            2,  # POLY
    '2019_ES_SIGPAC-Andalucia':         2,  # POLY
    '2019_ES_SIGPAC-Catalunya':         2,  # POLY
    '2019_FR_LPIS':                     2,  # POLY
    '2019_KE_RadiantEarth-01':          2,  # POLY
    '2019_LV_LPIS':                     2,  # POLY
    '2019_MG_JECAM-CIRAD':              2,  # POLY
    '2019_SN_JECAM-CIRAD':              2,  # POLY
    '2019_TZ_AFSIS':                    2,  # POINT
    '2019_UA_ARABLE-LAND':              2,  # POLY
    '2019_UA_NHI':                      3,  # POINT
    '2019_UA_OTHER-LAND-USE':           2,  # POLY
    '2019_US_USDA-CDL':                 1,  # MAP 30m
    '2020_AR_BAGE-01':                  2,  # POLY
    '2019_EWOCO_aez23179-1':            2,  # POINT
    '2019_EWOCO_aez26202-1':            2,  # POINT
    '2019_EWOCO_aez27177-1':            2,  # POINT
    '2019_EWOCO_aez29224-1':            2,  # POINT
    '2019_EWOCO_aez39223-1':            2,  # POINT
    '2019_EWOCO_aez38201-1':            2,  # POINT
    '2019_EWOCO_aez38201-2':            2,  # POINT
    '2019_EWOCO_aez40164-1':            2,  # POINT
    '2019_EWOCO_aez57226-1':            2,  # POINT
    '2019_EWOCO_aez60168-1':            2,  # POINT
    '2020_EWOCO_aez16220-1':            2,  # POINT
    '2020_EWOCO_aez16222-1':            2,  # POINT
    '2020_EWOCO_aez19221-1':            2,  # POINT
    '2020_EWOCO_aez28175-1':            2,  # POINT
    '2020_EWOCO_aez31208-1':            2,  # POINT
    '2020_EWOCO_aez47176-1':            2,  # POINT
    '2020_EWOCO_aez58178-1':            2,  # POINT
}


def get_refid_weight(ref_id, pixel=False):
    '''
    Function to get the weight to be put on
    a particular ref_id.
    '''
    if not pixel:
        if ref_id not in REFID_WEIGHTS.keys():
            raise ValueError((f'ref_id `{ref_id}` not found '
                              'in weights dictionary.'))

        return REFID_WEIGHTS[ref_id]

    else:
        if ref_id not in REFID_WEIGHTS_PIXEL.keys():
            # raise ValueError((f'ref_id `{ref_id}` not found '
            #                   'in weights dictionary.'))
            return 1

        return REFID_WEIGHTS_PIXEL[ref_id]
